Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509988 - [INFRA] Setup mirrors like upstream in RDO Cloud
Summary: [INFRA] Setup mirrors like upstream in RDO Cloud
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: RDO
Classification: Community
Component: Infrastructure
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 14:15 UTC by Alan Pevec
Modified: 2018-09-14 23:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-15 09:01:00 UTC


Attachments (Terms of Use)

Description Alan Pevec 2017-11-06 14:15:50 UTC
User story:
As a member of the TripleO CI, I want to have reliable CI results which do not depend on the temporary network issues accessing the external resources used by the CI jobs.
Upstream infra provides mirrors of the external repositories but upstream jobs running in RDO Cloud are currently setting NODEPOOL_MIRROR_HOST to the external host.

Actual results:
NODEPOOL_MIRROR_HOST=mirror.dfw.rax.openstack.org

https://github.com/rdo-infra/review.rdoproject.org-config/blob/53c4a3af2e6ecf19392c4ba647e287b8c9e51e89/nodepool/nodepool.yaml#L34-L36


Expected results:
NODEPOOL_MIRROR_HOST=mirror.rdoproject.org

Additional info:
Upstream infra is using AFS and Ubuntu for the mirroring.
Short term, we can run mirror host on Ubuntu (via private image), longer term we'd contribute CentOS support to the upstream infra.

Comment 1 Alan Pevec 2017-12-11 19:25:32 UTC
Update from Paul:

As we discussed on Friday[1], I'd also like to see us setup an AFS mirror in RDO
Cloud, which can be achieved for now by running the mirror.pp manifest from
openstack/system-config[2]. I'd consider this a blocker for fulling migrating
OVB jobs into RDO cloud; today we are using an upstream mirror out of Rackspace.

This is something we have today in tripleo-test-cloud-rh1 and will need for RDO
cloud. Instance size should be about 200GB of HDD, 1vcpu, 4GB RAM.

The good news is, our manifests should just work under Ubuntu Trusty or Xenial,
however longer I understand the desire to run the mirror as CentOS, we'd need
somebody to submit the changes to puppet-openstackci which supported that for
3rd party CI.  Additionally, we'd need to ask for an OpenAFS RPM again in
Fedora / CentOS, today we've manually compiled it upstream in openstack-infra.

-Paul

[1] http://eavesdrop.openstack.org/irclogs/%23rdo/%23rdo.2017-12-08.log.html#t2017-12-08T18:50:10
[2] http://git.openstack.org/cgit/openstack-infra/system-config

Comment 2 Javier Peña 2018-01-26 14:37:07 UTC
A number of patches have been proposed to add CentOS support for the AFS manifests: https://review.openstack.org/#/q/topic:afs-mirror-centos.

While they are still waiting for review, they work fine in local tests, so we can go ahead and set up the AFS mirror in RDO Cloud.

Comment 3 Javier Peña 2018-01-31 10:57:22 UTC
- The system has been set up as afs-mirror.rdoproject.org.

- I have created a review to add it to the monitoring configuration: review.rdoproject.org/r/11688

Comment 4 Alan Pevec 2018-09-14 23:28:30 UTC
https://review.openstack.org/#/q/topic:afs-mirror-centos has not been merged upstream yet, how do we track it? Upstream is moving to Ansible so unclear what kind of changes are acceptable in puppet-openstackci.


Note You need to log in before you can comment on or make changes to this bug.